# if	!defined	DE_H
# define	DE_H

namespace	ColorimetrySpace
{

class	DE
	{
	private:
		float	CIE76;
		float	CIE94;
		float	CMC;
		float	CIEDE00;

	public:
			DE(float thisCIE76, float thisCIE94, float thisCMC,
				float thisCIEDE00) noexcept;
			DE(float LstarStandard, float astarStandard,
				float bstarStandard, float habStandard,
				float CabstarStandard, float LstarBatch,
				float astarBatch, float bstarBatch,
				float CabstarBatch, float CMCl, float CMCc,
				float CIE94kL, float CIE94kC, float CIE94kH,
				float CIEDE00kL, float CIEDE00kC,
				float CIEDE00kH) noexcept;
		float	GetCIE76(void) const noexcept;
		float	GetCIE94(void) const noexcept;
		float	GetCMC(void) const noexcept;
		float	GetCIEDE00(void) const noexcept;

	};

}

# endif
